Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::XMSS_Key_Pair Class Reference

`#include <xmss_key_pair.h>`

## Public Member Functions
XMSS_PrivateKey & | private_key ()
const XMSS_PrivateKey & | private_key () const
XMSS_PublicKey & | public_key ()
const XMSS_PublicKey & | public_key () const
| XMSS_Key_Pair (const XMSS_PublicKey &pub_key, const XMSS_PrivateKey &priv_key)
| XMSS_Key_Pair (XMSS_Parameters::xmss_algorithm_t xmss_oid, RandomNumberGenerator &rng)
| XMSS_Key_Pair (XMSS_PublicKey &&pub_key, XMSS_PrivateKey &&priv_key)

## Detailed Description

A pair of XMSS public and private key.

Definition at line 20 of file xmss_key_pair.h.

## Constructor & Destructor Documentation

## ◆ XMSS_Key_Pair() [1/3]

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | XMSS_Parameters::xmss_algorithm_t | xmss_oid,
|  | RandomNumberGenerator & | rng
| ) |  |
| inline

Definition at line 23 of file xmss_key_pair.h.

25 : m_priv_key(xmss_oid, rng), m_pub_key(m_priv_key) {}

## ◆ XMSS_Key_Pair() [2/3]

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | const XMSS_PublicKey & | pub_key,
|  | const XMSS_PrivateKey & | priv_key
| ) |  |
| inline

Definition at line 27 of file xmss_key_pair.h.

29 : m_priv_key(priv_key), m_pub_key(pub_key)
30 {}

## ◆ XMSS_Key_Pair() [3/3]

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | XMSS_PublicKey && | pub_key,
|  | XMSS_PrivateKey && | priv_key
| ) |  |
| inline

Definition at line 32 of file xmss_key_pair.h.

34 : m_priv_key(std::move(priv_key)), m_pub_key(std::move(pub_key)) {}

## Member Function Documentation

## ◆ private_key() [1/2]

XMSS_PrivateKey & Botan::XMSS_Key_Pair::private_key | ( |  | ) |
| inline

Definition at line 40 of file xmss_key_pair.h.

40{ return m_priv_key; }

## ◆ private_key() [2/2]

const XMSS_PrivateKey & Botan::XMSS_Key_Pair::private_key | ( |  | ) | const
| inline

Definition at line 39 of file xmss_key_pair.h.

39{ return m_priv_key; }

## ◆ public_key() [1/2]

XMSS_PublicKey & Botan::XMSS_Key_Pair::public_key | ( |  | ) |
| inline

Definition at line 37 of file xmss_key_pair.h.

37{ return m_pub_key; }

## ◆ public_key() [2/2]

const XMSS_PublicKey & Botan::XMSS_Key_Pair::public_key | ( |  | ) | const
| inline

Definition at line 36 of file xmss_key_pair.h.

36{ return m_pub_key; }

The documentation for this class was generated from the following file:

- src/lib/pubkey/xmss/xmss_key_pair.h